# Changelog

## 3.72.2

Correction d'un problème empêchant la création/entretien des plans de solde et promotions sur les articles synchronisés par le EAN fournisseur.

## 3.72.1

Cette version change les comportements suivants :
* Les bons (avoir, cadeau, ...) Polaris sont désormais valables sur Prestashop jusqu'à la date de validité incluse (et non exclue).
* Les photos produits ne sont pas trouvées lorsque l'option de génération des *webp* est activée et que les photos sont au format *png*
* Les soldes et les promotions sont désormais dissociées au sein du module et peut permettre aux webmestres de les séparer ou d'afficher des bandeaux différents

## 3.71.2

Correction d'un problème de sauvegarde des paramètres sur la version 1.6 de Prestashop

## 3.71.1

Vérification des URL de préproduction et production dans l'API migration

## 3.71.0

Cette version apporte la possibilité d'importer facilement sur un environnement de préproduction les changements clients et commandes survenus sur l'environnement de production de façon à pouvoir rapidement mettre en ligne la préproduction sans perdre de données.

Cette option est réservée aux commercants ayant choisi de travailler avec VEGA Informatique pour la conception et la maintenance de leur site Internet.

## 3.70.5

Cette version corrige les problèmes mineurs suivants :

* La dépublication d'un modèle sous Polaris entraîne désormais la désactivation du produit sous Prestashop et ce dernier est configuré pour effectuer une redirection permanente vers sa catégorie par défaut dans le cas où un internaute ou un robot d'indexation chercherait à joindre sa page directement par son adresse.
* Le journal de modifications est désormais accessible depuis la page de configuration du module, après la mise à jour.

## 3.70.4

Cette version corrige des problèmes de compatibilité avec les versions 1.6 de Prestashop.

## 3.70.0

* Ajout du journal de modifications.
* Les options de désactivation produit lorsque dépublication depuis Polaris sont supprimées : elles impactent trop souvent le référencement et sont utilisées à mauvais escient.
* Certaines options sont désormais cachées sous le mode 'Expert' : c'est le cas de l'activation du cache, de la gestion du stock avancée, de l'archivage des importations, et de la copie de photo.
* Vous pouvez désormais choisir si un produit hors stock est visible partout, nulle-part, dans la recherche ou dans le catalogue uniquement. Cette option remplace l'ancien switch d'activation automatique sur stock.
* L'optin (souscription de l'internaute aux prospections par mail) de Polaris est maintenant aligné sur l'option "newsletter" de Prestashop.
* Ajout de compatibilité avec certaines installations PHP qui accordent plus de 4G de mémoire aux scripts.
* Les dates de publication trop vieilles (<2002) sont désormais ignorées et la date d'ajout n'est alors pas modifié.
* Ajout de la possibilité de générer le tag GoogleAnalytics pour le suivi basique de la fréquentation.
